libzypp 17.37.10

zypp::functor::GetAll< TOutputIterator > Struct Template Reference

Store all results found to some output_iterator. More...

`#include <zypp/base/Functional.h>`

## Public Member Functions
| GetAll (TOutputIterator result_r)
template<class Tp>
bool | operator() (const Tp &val_r) const

## Private Attributes
TOutputIterator | _result

## Detailed Description

template<class TOutputIterator>
struct zypp::functor::GetAll< TOutputIterator >

Store all results found to some output_iterator.

std::vector<parser::ProductFileData> result;
parser::ProductFileReader::scanDir( functor::getAll( std::back_inserter( result ) ),
sysRoot / "etc/products.d" );
zypp::parser::ProductFileReader::scanDir
static bool scanDir(const Consumer &consumer_r, const Pathname &dir_r)
Parse all files (no symlinks) in dir_r and call consumer_r for each ProductFileData parsed.
Definition ProductFileReader.cc:251
zypp::functor::getAll
GetAll< TOutputIterator > getAll(TOutputIterator result_r)
Convenience function for creating GetAll.
Definition Functional.h:270

Definition at line 254 of file Functional.h.

## Constructor & Destructor Documentation

## ◆ GetAll()

template<class TOutputIterator>

zypp::functor::GetAll< TOutputIterator >::GetAll | ( | TOutputIterator | result_r | ) |
| inline

Definition at line 256 of file Functional.h.

## Member Function Documentation

## ◆ operator()()

template<class TOutputIterator>
template<class Tp>

bool zypp::functor::GetAll< TOutputIterator >::operator() | ( | const Tp & | val_r | ) | const
| inline

Definition at line 261 of file Functional.h.

## Member Data Documentation

## ◆ _result

template<class TOutputIterator>

TOutputIterator zypp::functor::GetAll< TOutputIterator >::_result
| mutable private

Definition at line 265 of file Functional.h.

The documentation for this struct was generated from the following file:

- zypp/base/Functional.h